Subject: [Ianaplan] The IAB sent comments to the ICANN CCWG-Accountability

From: Andrew Sullivan <[email-masked]>
Date: Wed, 9 Sep 2015 18:49:17 -0400

Dear colleagues,

The IAB sent comments to the ICANN Cross Community Working Group on
Enhancing ICANN Accountability, in response to their call for public
comments.  As usual, the correspondence will appear on the IAB
website, but in the meantime the comments are posted at
http://forum.icann.org/lists/comments-ccwg-accountability-03aug15/msg00018.html

Best regards,

A

-- 
Andrew Sullivan
[email-masked]